#
# spec file for package freedoom-freedm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freedoom-freedm
Version:        0.12.1
Release:        1.11
Summary:        Deathmatch levels for Doom
License:        BSD-3-Clause
Group:          Amusements/Games/3D/Shoot
Url:            https://freedoom.github.io/
Source:         https://github.com/freedoom/freedoom/releases/download/v%{version}/freedm-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip
Requires:       freedoom

%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.

%prep
%setup -q -n freedm-%{version}

%build
# Game data files.  Nothing to build!

%install
install -D -m 0644 freedm.wad %{buildroot}%{_datadir}/doom/freedm.wad

%files
%defattr(-,root,root)
%doc CREDITS.txt freedoom-manual.pdf README.html
%license COPYING.txt
%{_datadir}/doom/

%changelog
* Fri Nov  1 2019 Markus S <kamikazow@opensuse.org>
- Update to 0.12.1
  * Archive no longer OpenGPG-signed by upstream
  * We now have a manual rendered to beautiful PDF format.  Thanks to
    Simon Howard, the project’s founder.
  * A strong focus on vanilla compatibility has been sought for this
    release.  Most, if not all, levels should work now.
  * _Final Doom_ compatibility de-emphasized.  Where it creates
    conflicts with _Doom II_ mods or texture definitions, we prefer
    the _Doom II_ side of things.  _Final Doom_-specific maps and mods
    may never look completely right in _Freedoom_, as a result.
  * _FreeDM_ has seen a major overhaul, with most maps being modified,
    with new additions and removals of the weaker levels.  It now
    benefits from the use of Aquatex and Egyptian textures in some of
    its levels, giving a more vibrant feel than before.
  * New power-up (stealth, overdrive, and ultra-overdrive) sprites.
  * Some weapon and ammo sprites have been tweaked and improved.
  * Completed and enhanced set of _Evilution_ and _Plutonia_ textures.
  * New skull-switches by MissLav.
  * New SKY4 based on an astronomy photograph.
  * Tweaked player sprites and HUD face by Ferk.
  * New tracks in C1M2, C2M3, C2M8, MAP03, MAP12, MAP22, MAP25, MAP26,
    MAP27, DM03, DM06, DM09, DM17, DM24, DM31, and DM32.
  * All files in-tree have been renamed from *.mus to *.mid.  The file
    format must always be MIDI.  This makes it easy on music composers
    to actually work with the files.
  * Metainfo (formerly appdata) and desktop files have been brought up
    to the latest standard specifications and recommendations, using
    reverse-DNS for the project identifier, and a self-evaluated
    content rating.
  * The launch shell-script changed the `PORT` environment variable to
    `DOOMPORT` to avoid conflicts with the genericly-named `PORT`.  It
    also builds a sensible default `DOOMWADPATH` environment variable
    to assist ports that do not have a hard-coded fallback.
  * The script no longer tries to look for `boom`, `zdoom`, nor
    `prboom` by default, as these are ports no longer maintained.
  * Freedoom’s build system now has a hard dependency on Python 3, in
    anticipation of Python 2’s end-of-life.
  * We have moved from ImageMagick to Pillow, a Python library for
    graphics manipulation.  It provides faster build times as well as
    API stability.
  * GIF files have been replaced with PNG files.  True PNG file format
    transparency is used instead of a cyan background.
  * `ASCIIDOC` and `ASCIIDOC_MAN` variables have been added to the
    Makefile to control the AsciiDoc implementation used to generate
    HTML and man page files.
  * The HTML documentation (eg, +NEWS+ and +README+ files) are
    generated with a style based on _Freedoom_’s own website, rather
    than the default AsciiDoc styling.
  * Incongruities between the actual game and manual have been fixed.
  * The `make install` targets have been consolidated to behave more
    similarly to how the pre-built zip distributions are: a split
    between _FreeDM_ and _Phase 1+2_, rather than installing each of
    the tree IWADs independently (and thus getting their own
    +/usr/share/doc+ directories, for instance).
* Mon Jan  1 2018 jengelh@inai.de
- Update to new upstream release 0.11.3
  * This point release allows building from source with DeuTex 5.0,
    there are no changes to the graphics.
* Tue Jul  4 2017 jengelh@inai.de
- Update to new upstream release 0.11.2
  * Missing multiplayer starts have been added to several levels.
    No map should be lacking anymore.
* Sat Mar 26 2016 mailaender@opensuse.org
- updated to 0.10.1
* Tue May  3 2011 claes.backstrom@opensuse.org
- updated to 0.7
* Mon Feb 15 2010 prusnak@suse.cz
- updated to 0.6.4
* Tue Jul  1 2008 claes.backstrom@fsfe.org
- New upstream version 0.6.2
* Wed Nov 21 2007 claes.backstrom@fsfe.org
- Initial package built from Fedora package (0.5-4)
